package com.mcwl.pay.service;

import com.alipay.api.AlipayApiException;
import com.mcwl.common.core.domain.AjaxResult;
import com.mcwl.common.core.domain.R;
import com.mcwl.pay.domain.OrderTradeDto;
import com.mcwl.pay.domain.vo.PayVo;

import javax.validation.constraints.NotNull;

public interface AliPayService {
    String bindingCallback(String authCode, String state);

    PayVo memberPay(OrderTradeDto orderTradeDto) throws Exception;

    PayVo pointsPay(Double paymentAmount) throws Exception;

    R<String> fetch(String amount) throws AlipayApiException;

    // 查询订单状态
    R<Object> queryTradeStatus(String outTradeNo) throws Exception;

    String balance() throws AlipayApiException;

    PayVo walletPay(Double amount) throws Exception;
}
