package com.mcwl.resource.service.impl;

import com.mcwl.common.core.domain.AjaxResult;
import com.mcwl.resource.domain.ModelVersion;
import com.mcwl.resource.domain.WorkFlowVersion;
import com.mcwl.resource.mapper.ModelVersionMapper;
import com.mcwl.resource.mapper.WorkFlowVersionMapper;
import com.mcwl.resource.service.FileService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

/**
 * @author DaiZibo
 * @date 2025/2/14
 * @apiNote
 */

@Service
public class FileServiceImpl implements FileService {

    @Autowired
    private ModelVersionMapper versionMapper;

    @Autowired
    private WorkFlowVersionMapper workFlowVersionMapper;

    @Override
    public AjaxResult selectFileName(String name, String type) {

        if (type.equals("model")) {

            ModelVersion modelVersion = versionMapper.selectByFileName(name);
            if (modelVersion == null) {

                return AjaxResult.error("文件不存在");
            }

            return AjaxResult.success(modelVersion);
        }else if (type.equals("workFlow")){
            WorkFlowVersion workFlowVersion = workFlowVersionMapper.selectByFileName(name);
            if (workFlowVersion == null) {

                return AjaxResult.error("文件不存在");
            }

            return AjaxResult.success(workFlowVersion);
        }

        return AjaxResult.error("type不合法");
    }
}
